r8354 - packages/trunk/prboom/debian

Jon Dowland jmtd-guest at alioth.debian.org
Mon Nov 10 18:03:45 UTC 2008


Author: jmtd-guest
Date: 2008-11-10 18:03:45 +0000 (Mon, 10 Nov 2008)
New Revision: 8354

Modified:
   packages/trunk/prboom/debian/fix_upstream.sh
Log:
some updates to the fix_upstream script (needs more work)

Modified: packages/trunk/prboom/debian/fix_upstream.sh
===================================================================
--- packages/trunk/prboom/debian/fix_upstream.sh	2008-11-10 17:41:10 UTC (rev 8353)
+++ packages/trunk/prboom/debian/fix_upstream.sh	2008-11-10 18:03:45 UTC (rev 8354)
@@ -44,12 +44,21 @@
 	exit 1
 fi
 ORIGVERSION=`echo "$ORIG" | sed 's!prboom-\(.*\)\.tar\.gz!\1!'`
-DFSGVERSION="$ORIGVERSION+dfsg"
+DFSGVERSION="$ORIGVERSION+dfsg-1"
 ORIGDIR=`pwd`
 WD=`mktemp -t -d prboom_fix_upstream.XXXXXX`
-trap 'echo "working directory was \"$WD\""' INT QUIT
+trapfun() {
+	echo "working directory was \"$WD\""
+	cd "$ORIGDIR"
+}
+trap trapfun INT QUIT
 
-(
+CLEANPNG=false
+if [ ! -f debian/base.png ]; then
+	sng base/debian.sng
+	CLEANPNG=true
+fi
+
 	cp -p "$ORIG" "$WD"
 	ORIG=`basename "$ORIG"`
 	cd "$WD"
@@ -61,8 +70,6 @@
 		exit 1
 	fi
 
-	( # fix the prboom.wad file
-
 		# input files for graphics regeneration
 
 		# we'll assume the input files are in debian/* unless
@@ -125,7 +132,6 @@
 		cd ..
 		mv wad/prboom.wad "prboom-$ORIGVERSION/data/prboom.wad"
 		rm -r wad
-	) || exit 1
 
 	# repack
 	mv "prboom-$ORIGVERSION" "prboom-$DFSGVERSION"
@@ -133,7 +139,12 @@
 	rm -r "prboom-$DFSGVERSION"
 
 	rm "$ORIG"
-)
+
+cd "$ORIGDIR"
+
+if [ -n "$CLEANPNG" ]; then
+	rm debian/base.png
+fi
 mv "$WD/prboom_$DFSGVERSION.orig.tar.gz" .
 echo "created prboom_$DFSGVERSION.orig.tar.gz"
 rmdir "$WD"




More information about the Pkg-games-commits mailing list